summaryrefslogtreecommitdiff
path: root/app-admin/sshguard/files
diff options
context:
space:
mode:
authorV3n3RiX <venerix@redcorelinux.org>2018-07-14 21:03:06 +0100
committerV3n3RiX <venerix@redcorelinux.org>2018-07-14 21:03:06 +0100
commit8376ef56580626e9c0f796d5b85b53a0a1c7d5f5 (patch)
tree7681bbd4e8b05407772df40a4bf04cbbc8afc3fa /app-admin/sshguard/files
parent30a9caf154332f12ca60756e1b75d2f0e3e1822d (diff)
gentoo resync : 14.07.2018
Diffstat (limited to 'app-admin/sshguard/files')
-rw-r--r--app-admin/sshguard/files/sshguard-2.1.0-conf.patch11
-rw-r--r--app-admin/sshguard/files/sshguard.confd21
-rw-r--r--app-admin/sshguard/files/sshguard.initd24
-rw-r--r--app-admin/sshguard/files/sshguard.initd-r114
4 files changed, 70 insertions, 0 deletions
diff --git a/app-admin/sshguard/files/sshguard-2.1.0-conf.patch b/app-admin/sshguard/files/sshguard-2.1.0-conf.patch
new file mode 100644
index 000000000000..8874cc48904d
--- /dev/null
+++ b/app-admin/sshguard/files/sshguard-2.1.0-conf.patch
@@ -0,0 +1,11 @@
+--- a/examples/sshguard.conf.sample
++++ b/examples/sshguard.conf.sample
+@@ -6,7 +6,7 @@
+
+ #### REQUIRED CONFIGURATION ####
+ # Full path to backend executable (required, no default)
+-#BACKEND="/usr/local/libexec/sshg-fw-iptables"
++#BACKEND="/usr/libexec/sshg-fw-iptables"
+
+ # Space-separated list of log files to monitor. (optional, no default)
+ #FILES="/var/log/auth.log /var/log/authlog /var/log/maillog"
diff --git a/app-admin/sshguard/files/sshguard.confd b/app-admin/sshguard/files/sshguard.confd
new file mode 100644
index 000000000000..326f8918aaa4
--- /dev/null
+++ b/app-admin/sshguard/files/sshguard.confd
@@ -0,0 +1,21 @@
+# Copyright 1999-2013 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+# Config file for /etc/init.d/sshguard
+# See sshguard(8) for details.
+
+# Initial (empty) options.
+SSHGUARD_OPTS=""
+
+# Files to monitor
+# -l <source>
+SSHGUARD_OPTS="${SSHGUARD_OPTS} -l /var/log/auth.log"
+
+# White listing
+# -w <addr/host/block/file>
+#SSHGUARD_OPTS="${SSHGUARD_OPTS} -w 192.168.0.0/24"
+
+# Define how long in milliseconds start-stop-daemon waits to check that
+# sshguard is still running before calling success or failure.
+# Values lower than the default of 999 are probably not useful.
+SSHGUARD_WAIT="999"
diff --git a/app-admin/sshguard/files/sshguard.initd b/app-admin/sshguard/files/sshguard.initd
new file mode 100644
index 000000000000..f1360ce8610b
--- /dev/null
+++ b/app-admin/sshguard/files/sshguard.initd
@@ -0,0 +1,24 @@
+#!/sbin/openrc-run
+# Copyright 1999-2011 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+depend() {
+ after iptables
+ use logger
+}
+
+SSHGUARD_PIDFILE=${SSHGUARD_PIDFILE:-/var/run/${SVCNAME}.pid}
+
+start() {
+ ebegin "Starting sshguard"
+ [ -z "${SSHGUARD_WAIT}" ] && SSHGUARD_WAIT=999
+ start-stop-daemon --start --wait ${SSHGUARD_WAIT} --background --quiet --exec \
+ /usr/sbin/sshguard -- -i ${SSHGUARD_PIDFILE} ${SSHGUARD_OPTS}
+ eend $?
+}
+
+stop() {
+ ebegin "Stopping sshguard"
+ start-stop-daemon --stop -p ${SSHGUARD_PIDFILE}
+ eend $?
+}
diff --git a/app-admin/sshguard/files/sshguard.initd-r1 b/app-admin/sshguard/files/sshguard.initd-r1
new file mode 100644
index 000000000000..e7b5ca7428b3
--- /dev/null
+++ b/app-admin/sshguard/files/sshguard.initd-r1
@@ -0,0 +1,14 @@
+#!/sbin/openrc-run
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+command="/usr/sbin/sshguard"
+pidfile="${SSHGUARD_PIDFILE:-/var/run/${SVCNAME}.pid}"
+command_args="-i \"${pidfile}\" ${SSHGUARD_OPTS}"
+command_background=1
+start_stop_daemon_args="--wait ${SSHGUARD_WAIT:-999} --interpreted --quiet"
+
+depend() {
+ after iptables
+ use logger
+}